package main

import "surdeus.su/core/amo"
import "surdeus.su/core/ss/urlenc"
import "surdeus.su/core/cli/mtool"

type ContactGetter struct{}
func (l ContactGetter) GetValues(
	c *amo.Client,
	opts ...urlenc.Builder,
) ([]amo.Contact, amo.NextFunc[[]amo.Contact], error) {
	return c.GetContacts(opts...)
}

func (l ContactGetter) GetNameMul() string {
	return "companies"
}

func (l ContactGetter) GetFuncName() string {
	return "amo.GetCompanies"
}

var getContacts = mtool.T("get-contacts").
Func(func(flags *mtool.Flags){
	RunGetter(ContactGetter{}, flags)
})
